"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.percentFormatter = void 0;
const utils_1 = require("@slickgrid-universal/utils");
const utilities_1 = require("./../services/utilities");
const formatterUtilities_1 = require("./formatterUtilities");
/** Takes a cell value number (between 0.0-1.0) and displays a red (<50) or green (>=50) bar */
const percentFormatter = (_row, _cell, value, columnDef, _dataContext, grid) => {
    const minDecimal = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('minDecimal', columnDef, grid);
    const maxDecimal = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('maxDecimal', columnDef, grid);
    const decimalSeparator = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('decimalSeparator', columnDef, grid, '.');
    const thousandSeparator = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('thousandSeparator', columnDef, grid, '');
    const displayNegativeNumberWithParentheses = (0, formatterUtilities_1.getValueFromParamsOrFormatterOptions)('displayNegativeNumberWithParentheses', columnDef, grid, false);
    if ((0, utils_1.isNumber)(value)) {
        const percentValue = value * 100;
        return (0, utilities_1.formatNumber)(percentValue, minDecimal, maxDecimal, displayNegativeNumberWithParentheses, '', '%', decimalSeparator, thousandSeparator);
    }
    return value;
};
exports.percentFormatter = percentFormatter;
//# sourceMappingURL=percentFormatter.js.map